#include "pch.h"
#include "Group.h"
#include <msclr/marshal_cppstd.h>
#include "internals.h"
bool Group::isNull() const
{
    if (inner == nullptr)
        return true;
    return ((inner->getInner()->Equals(nullptr))) ? false : true;
}
std::string Group::GetReport()
{
    if (isNull()) {
        return "";
    }
    return msclr::interop::marshal_as<std::string>(inner->getInner()->GetReport());
}

void Group::Close()
{
    if (isNull()) {
        return;
    }
    inner->getInner()->Close();
}
